export const state = () => ({
  item: {},
  items: {
    all: [],
    featured: []
  }
})

export const actions = {
  async fetchBlogs({commit, state}) {
    const data = await this.$axios.$get('/api/v1/blogs')
    if(data.isAxiosError === true){
      console.log(data.data)
      return Error('')
    }
    const { blogs } = data
    commit('setBlogs', {resource: 'all', blogs})
    return state.items.all
  },
  async fetchBlogBySlug({commit, state}, slug) {
    const blog = await this.$axios.$get(`/api/v1/blogs/s/${slug}`)
    if(blog.isAxiosError === true){
      console.log(blog.data)
      return Error('')
    }
    debugger;
    commit('setBlog', blog)
    return state.item
  }
}

export const mutations = {
  setBlogs(state, {resource, blogs}) {
    state.items[resource] = blogs
  },
  setBlog(state, blog) {
    state.item = blog
  }
}
